import Info from '../info';
import { Tooltip, TooltipTrigger, TooltipContent } from '../tooltip';
import { BooleanProps } from './types';

export const BooleanInput = ({ label, value, onChange, tooltip, info, size, required, className }: BooleanProps) => {
  return (
    <Tooltip>
      <TooltipTrigger className={className + ' w-full flex justify-between'}>
        {label && (
          <label className="label p-0">
            <span
              className={`text-${size} text-left truncate font-medium text-secondary-700 ${required && "after:content-['*'] after:ml-0.5 after:text-danger-500"}`}
            >
              {label}
            </span>
            {info && <Info tooltip={info} />}
          </label>
        )}
        <input
          type="checkbox"
          checked={value}
          onChange={event => {
            if (onChange) {
              onChange(event.target.checked);
            }
          }}
          className="checkbox checkbox-xs"
          aria-label={`Toggle ${label}`}
        />
      </TooltipTrigger>
      {tooltip && <TooltipContent>{tooltip}</TooltipContent>}
    </Tooltip>
  );
};
